## enigmail 2.1.3+ds1

=== package/cryptoAPI/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.


DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

GENDIR = $(DIST)/chrome/content/modules/cryptoAPI

MODFILES = \
	gnupg.js \
	gnupg-decryption.jsm \
	gnupg-keylist.jsm \
	gnupg-key.jsm \
	openpgp-js.js \
	interface.js

GENFILES = $(addprefix $(GENDIR)/,$(MODFILES))

$(GENDIR)/%.jsm: %.jsm
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@

$(GENDIR)/%.js: %.js
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@

build: $(GENFILES)

all: build

clean:
	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules/cryptoAPI $(MODFILES)

=== ui/content/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

GENDIR = $(DIST)/chrome/content/ui

AM_FILES = am-enigprefs.xul

UIFILES = \
	autocryptInitiateBackup.xul \
	autocryptInitiateBackup.js \
	autocryptSetupPasswd.xul \
	autocryptSetupPasswd.js \
	columnOverlay.xul \
	columnOverlay.js \
	commonWorkflows.js \
	enigmailCommon.js \
	enigmailAbCardViewOverlay.xul \
	enigmailAbContactsPanel.xul \
	enigmailAbOverlay.js \
	aboutEnigmail.html \
	aboutEnigmail.js \
	enigmailAddUidDlg.js \
	enigmailAddUidDlg.xul \
	enigmailMsgBox.js \
	enigmailMsgBox.xul \
	enigmailAttachmentsDialog.xul \
	enigmailAttachmentsDialog.js \
	enigmailAmIdEditOverlay.xul \
	enigmailCheckLanguage.xul \
	enigmailCardDetails.js \
	enigmailCardDetails.xul \
	enigmailConsole.xul \
	enigmailConsole.js \
	enigmailConsole.htm \
	enigmailCustToolOverlay.xul \
	enigmailDispPhoto.js \
	enigmailDispPhoto.xul \
	enigmailEditIdentity.js \
	enigmailEditIdentity.xul \
	enigmailEditKeyExpiryDlg.js \
	enigmailEditKeyExpiryDlg.xul \
	enigmailEditKeyTrustDlg.js \
	enigmailEditKeyTrustDlg.xul \
	enigmailEncryptionDlg.xul \
	enigmailEncryptionDlg.js \
	enigmailGenCardKey.js \
	enigmailGenCardKey.xul \
	enigmailGenericDisplay.js \
	enigmailGenericDisplay.xul \
	enigmailGenericDisplay.htm \
	enigmailHelp.xul \
	enigmailHelp.js \
	enigmailImportPhoto.js \
	enigmailImportPhoto.xul \
	keyDetailsDlg.js \
	keyDetailsDlg.xul \
	enigmailKeyManager.xul \
	enigmailKeyManager.js \
	enigmailManageUidDlg.js \
	enigmailManageUidDlg.xul \
	enigmailRulesEditor.xul \
	enigmailRulesEditor.js \
	enigmailSearchKey.js \
	enigmailSearchKey.xul \
	enigmailKeyImportInfo.js \
	enigmailKeyImportInfo.xul \
	enigmailSingleRcptSettings.js \
	enigmailSingleRcptSettings.xul \
	enigmailSelectRule.js \
	enigmailSelectRule.xul \
	enigmailSetCardPin.js \
	enigmailSetCardPin.xul \
	enigmailSignKeyDlg.js \
	enigmailSignKeyDlg.xul \
	accountManagerOverlay.js \
	accountManagerOverlay.xul \
	pref-enigmail.xul \
	pref-enigmail.js \
	pref-pep.xul \
	pref-pep.js \
	am-enigprefs.xul \
	am-enigprefs.js \
	editSingleAccount.xul \
	enigmailKeygen.xul \
	enigmailKeygen.js \
	enigmailKeygenConsole.htm \
	enigmailKeyserverDlg.xul \
	enigmailKeyserverDlg.js \
	enigmailKeySelection.xul \
	enigmailKeySelection.js \
	enigmailMsgComposeOverlay.xul \
	enigmailMsgComposeOverlay-pbx.xul \
	enigmailMsgComposeOverlay.js \
	enigmailMsgComposeHelper.js \
	messengerOverlay-tbird.xul \
	messengerOverlay-pbx.xul \
	enigmailMessengerOverlay.xul \
	enigmailMessengerOverlay.js \
	enigmailMsgHdrViewOverlay.xul \
	enigmailMsgHdrViewOverlay.js \
	enigmailFilterEditorOverlay.xul \
	enigmailFilterEditorOverlay.js \
	enigmailFilterListOverlay.xul \
	enigmailFilterListOverlay.js \
	enigmailPrivacyOverlay.js \
	enigmailPrivacyOverlay.xul \
	enigmailWrapSelection.xul \
	enigmailWrapSelection.js \
	enigmailViewFile.js \
	enigmailViewFile.xul \
	enigRetrieveProgress.xul \
	enigRetrieveProgress.js \
	exportSettingsWizard.js \
	exportSettingsWizard.xul \
	importSettings.js \
	importSettings.xul \
	upgradeInfo.html \
	pepHandshake.xul \
	pepHandshake.js \
	pepPrepHandshake.xul \
	pepPrepHandshake.js \
	pepTrustWords.xul \
	pepTrustWords.js \
	updateGnuPG.html \
	updateGnuPG.js \
	setupWizard2.js \
	setupWizard2.xul \
	tb60FilterEditorOverlay.js \
	tb60FilterEditorOverlay.xul

GENFILES = $(addprefix $(GENDIR)/,$(UIFILES))

$(GENDIR)/%.js: %.js
	$(DEPTH)/util/prepPostbox -c $(TARGET_TOOL) $< $@

$(GENDIR)/%.xul: %.xul
	$(PYTHON) $(DEPTH)/util/Preprocessor.py -I $(INCLUDE) -o $@ $<

$(GENDIR)/%.htm: %.htm
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $<

$(GENDIR)/%.html: %.html
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $<

all: build deploy

build: $(GENFILES)
	
deploy: $(AM_FILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content $(AM_FILES)

clean:
	$(DEPTH)/util/install -u $(DIST)/chrome/content/ui $(UIFILES)
	$(DEPTH)/util/install -u $(DIST)/chrome/content $(AM_FILES)

=== debian/changelog ===
enigmail (2:2.1.3+ds1-4~deb10u2) buster-security; urgency=medium

  * Upload to buster-security after discussing with the security team
    (closes: #945014)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 20 Nov 2019 21:20:24 +0800

enigmail (2:2.1.3+ds1-4~deb10u1) buster; urgency=medium

  * Upload to debian stable to keep it installable now that Thunderbird 68
    is in stable (Closes: #945014)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 19 Nov 2019 15:43:20 +0800

enigmail (2:2.1.3+ds1-4) unstable; urgency=medium

  * convert to python3
  * convert unit tests to python3 as well
  * wrap-and-sort -ast

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 09 Nov 2019 15:31:55 -0500

enigmail (2:2.1.3+ds1-3) unstable; urgency=medium

  * d/tests: permit stderr on tbird-sqlite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Fri, 08 Nov 2019 18:53:42 -0500

enigmail (2:2.1.3+ds1-2) unstable; urgency=medium

  * Address autopkgtest failures (Closes: #944216)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Thu, 07 Nov 2019 20:44:22 -0500

enigmail (2:2.1.3+ds1-1) unstable; urgency=medium

  * new upstream version (closes: #933832)
  * prepare to exclude more pieces of OpenPGP.js from upstream
  * upstream renamed the openpgp.worker javascript file
  * standards-version: bump to 4.4.1 (no changes needed)
  * drop mozilla-devscripts due to lack of install.rdf
  * strip out config.guess and config.sub when importing orig tarballs
  * refresh patches
  * strip even more OpenPGP.js when building
  * build in build-tb/ instead of build/
  * d/copyright: drop unnecessary stanzas
  * enigmail 2.1.3 needs thunderbird 68
  * d/run-tests: adapt to enigmail 2.1 test practices
  * use thunderbird --headless and rely on main.js to identify jsunit test
  * Avoid testing dependency on X11 for sqlite
  * ensure that we see some output when testing.
  * JSUnit is provided globally if jsunit 0.2.2 is installed
  * make unit test run without xvfb
  * always use system config.{guess,sub}
  * whittle down errors in the test suite

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Tue, 05 Nov 2019 23:33:42 -0500

enigmail (2:2.0.12+ds1-1~deb10u1) buster; urgency=medium

  * upload upstream version to Debian stable
   - addresses CVE-2019-12269 (Closes: #929363)
   - uses "advanced" version of WKD
   - switches to using keys.openpgp.org as the default keyserver
   - avoid decrypting/verifying quoted inline-PGP
   - un-mangling MS Exchange: ensure that message structure is
     as expected to avoid data loss
   - only include Subject: line in legacy-display part for
     protected headers
  * move Vcs-Git fields to DEP-14 branch debian/buster
  * refresh patches

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 21 Aug 2019 12:57:35 -0400

=== debian/control ===
Source: enigmail
Section: mail
Priority: optional
Maintainer: Debian Mozilla Extension Maintainers <pkg-mozext-maintainers@lists.alioth.debian.org>
Uploaders:
 Alexander Sack <asac@debian.org>,
 Willi Mann <willi@debian.org>,
 Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
Build-Depends:
 debhelper-compat (= 12),
 perl,
 python3,
 unzip,
 zip,
Standards-Version: 4.4.1
Homepage: https://www.enigmail.net/
Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/buster
Vcs-Browser: https://salsa.debian.org/debian/enigmail
Rules-Requires-Root: no

Package: enigmail
Architecture: all
Depends:
 gnupg (>= 2.2.8-2~),
 gnupg-agent,
 thunderbird (>= 1:68.0) | icedove (>= 1:68.0),
 ${misc:Depends},
 ${shlibs:Depends},
Recommends:
 pinentry-x11,
Provides:
 icedove-enigmail,
 thunderbird-enigmail,
 xul-ext-enigmail,
Enhances:
 icedove,
 thunderbird,
Breaks:
 icedove (<< 1:68.0),
 thunderbird (<< 1:68.0),
Description: GPG support for Thunderbird and Debian Icedove
 OpenPGP extension for Thunderbird. Enigmail allows users to access the
 features provided by the popular GnuPG software from within Thunderbird.
 .
 Enigmail is capable of signing, authenticating, encrypting and decrypting
 email. Additionally, it supports both the inline PGP format, as well as the
 PGP/MIME format as described in RFC 3156.

## enigmail 2.1.5+ds1

=== debian/changelog ===
enigmail (2:2.1.5+ds1-1) unstable; urgency=medium

  * new upstream release
  * drop patches already upstreamed
  * drop workaround for util/Preprocessor.py, since it is not used any longer
  * refresh patches
  * import bugfixes from upstream
  * fix parallel build
  * drop unnecessary debian/source/include-binaries
  * drop shlibs:Depends, since enigmail is now arch: all
  * standards-version: bump to 4.5.0 (no changes needed)

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Wed, 22 Jan 2020 14:52:18 -0500

## enigmail 2.1.6%2Bds1

=== debian/rules ===
#!/usr/bin/make -f
include /usr/share/dpkg/pkg-info.mk

%:
	dh $@

override_dh_install:
	mkdir -p debian/enigmail/usr/share/xul-ext/enigmail
	unzip build-tb/*.xpi -d debian/enigmail/usr/share/xul-ext/enigmail

override_dh_auto_configure:
	ln -sf /usr/share/misc/config.guess /usr/share/misc/config.sub ./
	dh_auto_configure -- --with-tb-path=/usr/bin/thunderbird --with-tb-args='--headless --profile $(shell pwd)/test-profile'

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
	debian/run-tests
endif

override_dh_auto_clean:
	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
	if [ ! -f config/autoconf.mk ]; then \
		echo 'XPI_MODULE_VERS = $(DEB_VERSION_UPSTREAM)' > config/autoconf.mk; \
		echo 'DIST = $$(DEPTH)/build-tb/dist' >> config/autoconf.mk; \
		echo 'BUILD = $$(DEPTH)/build-tb' >> config/autoconf.mk; \
	fi

	dh_auto_clean

## enigmail 2.1.6+ds1

=== Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

XPI_MODULE	= enigmail

DEPTH		= .

include $(DEPTH)/config/autoconf.mk

DIRS = ipc ui package lang stdlib

ALL = xpi

ifeq ($(TESTS),yes)
ALL += test
endif

XPIFILE = $(XPI_MODULE)-$(XPI_MODULE_VERS).xpi

.PHONY: dirs $(DIRS) test

all: $(ALL)

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

xpi: $(DIRS)
	$(srcdir)/util/genxpi $(XPIFILE) $(TARGET_TOOL) $(DIST) $(srcdir) $(XPI_MODULE) $(ENABLE_LANG)

check:
	util/checkFiles.py

eslint:
	static_analysis/eslint package
	static_analysis/eslint ipc
	static_analysis/eslint ui

unit:
	make -C package/tests
	make -C ui/tests
	make -C ipc/tests

test: eslint check unit

clean:
	rm -f build/$(XPIFILE) .eslintcache
	for dir in $(DIRS); do \
		if [ "$${dir}x" != "checkx" ]; then \
		$(MAKE) -C $$dir clean; fi; \
	done

distclean: clean
	rm -rf build/*
	rm -f config/autoconf.mk config.log config.status

=== ipc/tests/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

UNITTEST = 

ifneq ($(TB_PATH),"")

UNITTEST = $(JSUNIT)

endif

all:
	$(UNITTEST)

=== ui/content/Makefile ===
--- 
+++ 
@@ -139,7 +139,7 @@
 	$(DEPTH)/util/prepPostbox -c $(TARGET_TOOL) $< $@
 
 $(GENDIR)/%.xul: %.xul
-	$(PYTHON) $(DEPTH)/util/Preprocessor.py -I $(INCLUDE) -o $@ $<
+	$(PERL) $(DEPTH)/util/plpp.pl -i $(INCLUDE) -o $@ $<
 
 $(GENDIR)/%.htm: %.htm
 	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $<

=== ui/skin/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	images/check0.png \
	images/check1.png \
	images/check2.png

SKIN_TB_WIN_XP = \
	tb-windows/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/importSuccess.png \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_AERO = \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	tb-windows/images/enigEncInactive.png \
	tb-windows/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-windows/images/enigSignInactive.png \
	tb-windows/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-windows/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/password-error.svg \
	images/warning-16.png \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg


SKIN_TB_MAC = \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	tb-mac/images/enigEncInactive.png \
	tb-mac/images/enigEncNotOk.png \
	tb-mac/images/enigEncOk.png \
	tb-mac/images/enigSignInactive.png \
	tb-mac/images/enigSignNotOk.png \
	tb-mac/images/enigSignOk.png \
	tb-mac/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-mac/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-active-18.svg \
	images/decrypt-inactive-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_TB_LINUX = \
	tb-linux/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	tb-linux/images/enigEncInactive.png \
	tb-linux/images/enigEncNotOk.png \
	tb-windows/images/enigEncOk.png \
	tb-linux/images/enigSignInactive.png \
	tb-linux/images/enigSignNotOk.png \
	tb-windows/images/enigSignOk.png \
	tb-linux/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	tb-windows/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceNo.png \
	tb-windows/images/enigEncForceYes.png \
	images/decrypt-inactive-18.svg \
	images/decrypt-active-18.svg \
	images/encrypt-inactive-18.svg \
	images/encrypt-active-18.svg \
	images/encrypt-disabled-18.svg \
	images/sign-active-18.svg \
	images/sign-disabled-18.svg \
	images/sign-inactive-18.svg \
	images/attach-active-18.svg \
	images/attach-disabled-18.svg \
	images/attach-inactive-18.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-18.svg \
	images/headerUnprotected-18.svg

SKIN_CLASSIC_SEAMONKEY = \
	classic-seamonkey/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-pEp.css \
	common/enigmail-html.css \
	images/enigmail-about.svg \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	classic-seamonkey/images/enigEncInactive.png \
	classic-seamonkey/images/enigEncNotOk.png \
	classic-seamonkey/images/enigEncOk.png \
	classic-seamonkey/images/enigSignInactive.png \
	classic-seamonkey/images/enigSignNotOk.png \
	classic-seamonkey/images/enigSignOk.png \
	classic-seamonkey/images/enigSignUnkown.png \
	images/importSuccess.png \
	images/twisty-open.png \
	images/twisty-clsd.png \
	images/spinning-wheel.png \
	classic-seamonkey/images/col-encrypted-signed.png \
	tb-windows/images/enigSignActiveNone.png \
	tb-windows/images/enigSignActivePlus.png \
	tb-windows/images/enigSignActiveMinus.png \
	tb-windows/images/enigSignActiveConflict.png \
	tb-windows/images/enigSignInactiveNone.png \
	tb-windows/images/enigSignInactivePlus.png \
	tb-windows/images/enigSignInactiveMinus.png \
	tb-windows/images/enigSignInactiveConflict.png \
	tb-windows/images/enigSignForceYes.png \
	tb-windows/images/enigSignForceNo.png \
	tb-windows/images/enigEncActiveNone.png \
	tb-windows/images/enigEncActivePlus.png \
	tb-windows/images/enigEncActiveMinus.png \
	tb-windows/images/enigEncActiveConflict.png \
	tb-windows/images/enigEncInactiveNone.png \
	tb-windows/images/enigEncInactivePlus.png \
	tb-windows/images/enigEncInactiveMinus.png \
	tb-windows/images/enigEncInactiveConflict.png \
	tb-windows/images/enigEncForceYes.png \
	tb-windows/images/enigEncForceNo.png \
	images/decrypt-inactive-24.svg \
	images/decrypt-active-24.svg \
	images/decrypt-inactive-30.svg \
	images/decrypt-active-30.svg \
	images/encrypt-inactive-24.svg \
	images/encrypt-active-24.svg \
	images/encrypt-disabled-24.svg \
	images/sign-active-24.svg \
	images/sign-disabled-24.svg \
	images/sign-inactive-24.svg \
	images/encrypt-inactive-30.svg \
	images/encrypt-active-30.svg \
	images/encrypt-disabled-30.svg \
	images/sign-active-30.svg \
	images/sign-disabled-30.svg \
	images/sign-inactive-30.svg \
	images/attach-inactive-24.svg \
	images/attach-inactive-30.svg \
	images/attach-disabled-24.svg \
	images/attach-disabled-30.svg \
	images/attach-active-24.svg \
	images/attach-active-30.svg \
	images/warning-16.png \
	images/password-error.svg \
	images/col-pEpGreen.svg \
	images/col-pEpYellow.svg \
	images/col-pEpRed.svg \
	images/pEpGreen.svg \
	images/pEpGrey.svg \
	images/pEpYellow.svg \
	images/pEpRed.svg \
	images/pEpEncryptActive.svg \
	images/pEpEncryptInactive.svg \
	images/pEpLogo.svg \
	images/headerProtected-24.svg \
	images/headerUnprotected-24.svg \
	images/headerProtected-30.svg \

=== ui/tests/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at http://mozilla.org/MPL/2.0/.

DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

UNITTEST = 

ifneq ($(TB_PATH),"")

UNITTEST = $(JSUNIT)

endif

all:
	$(UNITTEST)

=== ui/locale/en-US/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../../..

include $(DEPTH)/config/autoconf.mk

LOCALEFILES = \
	enigmail.dtd \
	am-enigprefs.properties	\
	enigmail.properties

HELPFILES = \
	help/compose.html \
	help/help.html\
	help/messenger.html \
	help/sendingPrefs.html \
	help/editRcptRule.html \
	help/initError.html \
	help/rulesEditor.html
	
all: deploy

deploy: $(LOCALEFILES) $(HELPFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/locale/en-US $(LOCALEFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/locale/en-US/help $(HELPFILES)

=== debian/changelog ===
enigmail (2:2.1.6+ds1-1~ubuntu0.16.04.1) xenial; urgency=medium

  * Backport to xenial
    - relax build dependency on debhelper
    - relax runtime dependency on gnupg

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Thu, 16 Apr 2020 15:40:46 +0200

enigmail (2:2.1.6+ds1-1) unstable; urgency=medium

  * new upstream release
  * drop patches already applied upstream
  * include more patches from upstream

 -- Daniel Kahn Gillmor <dkg@fifthhorseman.net>  Sat, 11 Apr 2020 21:43:29 -0400

=== debian/control ===
--- 
+++ 
@@ -7,25 +7,24 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper-compat (= 12),
+ debhelper,
  perl,
  python3,
  unzip,
  zip,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://www.enigmail.net/
-Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/buster
+Vcs-Git: https://salsa.debian.org/debian/enigmail.git -b debian/master
 Vcs-Browser: https://salsa.debian.org/debian/enigmail
 Rules-Requires-Root: no
 
 Package: enigmail
 Architecture: all
 Depends:
- gnupg (>= 2.2.8-2~),
+ gnupg2 (>= 2.0.14),
  gnupg-agent,
  thunderbird (>= 1:68.0) | icedove (>= 1:68.0),
  ${misc:Depends},
- ${shlibs:Depends},
 Recommends:
  pinentry-x11,
 Provides:

=== debian/tests/control ===
Tests: tbird-sqlite
Depends:
 jsunit (>= 0.2.2),
 sqlite3,
 thunderbird (>= 1:68.0),
Restrictions: allow-stderr

Tests: unit-tests
Depends:
 enigmail,
 jsunit (>= 0.2.2),
 make,
 perl,
 python3,
 sqlite3,
Restrictions: allow-stderr

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/,dversionmangle=s/\+ds1$//,repacksuffix=+ds1 \
 https://www.enigmail.net/download/source.php .*/enigmail-([\d\.]*).tar.gz

## enigmail 2.2.4

=== Makefile ===
--- 
+++ 
@@ -8,7 +8,7 @@
 
 include $(DEPTH)/config/autoconf.mk
 
-DIRS = ipc ui package lang stdlib
+DIRS = ipc ui package lang
 
 ALL = xpi
 
@@ -38,12 +38,7 @@
 	static_analysis/eslint ipc
 	static_analysis/eslint ui
 
-unit:
-	make -C package/tests
-	make -C ui/tests
-	make -C ipc/tests
-
-test: eslint check unit
+test: eslint check
 
 clean:
 	rm -f build/$(XPIFILE) .eslintcache

=== ipc/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

DIRS            = modules

.PHONY: dirs $(DIRS)

all: dirs

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

clean:
	for dir in $(DIRS); do \
	  $(MAKE) -C $$dir clean; \
	done

=== lang/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH = ..

define copyLang =
mkdir -p $(BUILD)/lang/$^
endef

DO_FIX_LANG = 
NO_GEN_FILES = 

include ../config/autoconf.mk

ifneq ($(FIX_LANGUAGES),no)
DO_FIX_LANG = prepFiles
else
NO_GEN_FILES = -ng
endif

all: jar

ifneq ($(ENABLE_LANG),no)
languages = $(shell cat current-languages.txt)
EXPORT_CMD = $(PERL) $(DEPTH)/util/make-lang-xpi.pl $(NO_GEN_FILES) current-languages.txt $(BUILD)/lang
else
languages = 
EXPORT_CMD = echo "" > $(BUILD)/lang/jar.mn
endif

prepFiles: 
	for l in $(languages); do \
	   $(PERL) $(DEPTH)/util/fixlang.pl $(DEPTH)/ui/locale/en-US $$l; \
	done
	

export: $(DO_FIX_LANG)
	mkdir -p $(BUILD)/lang
	$(EXPORT_CMD)

jar: export
	$(PYTHON) ../util/JarMaker.py -j $(DIST) -t . -f flat $(BUILD)/lang/jar.mn

clean:
	for l in $(languages); do \
	   rm -f $$l/enigmail.dtd.gen $$l/enigmail.properties.gen; \
	done
	rm -f $(BUILD)/lang/jar.mn

=== stdlib/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.


DEPTH		= ..

include $(DEPTH)/config/autoconf.mk

GENDIR = $(DIST)/chrome/content/modules/stdlib

MODFILES = \
           compose.jsm \
           misc.jsm \
           msgHdrUtils.jsm \
           openpgp.worker.js \
           web-streams.jsm

GENFILES = $(addprefix $(GENDIR)/,$(MODFILES))

$(GENDIR)/%.jsm: %.jsm
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@

$(GENDIR)/%.js: %.js
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@

all: deploy

deploy: createlib $(GENFILES)

createlib: 
	cat openpgp-lib-head.js openpgp-lib.js openpgp-lib-tail.js > openpgp-lib.jsm
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL)  openpgp-lib.jsm $(GENDIR)/openpgp-lib.jsm

clean:
	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules/stdlib $(MODFILES) openpgp-lib.jsm

=== ui/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

# makefile for ui directory

DEPTH = ..

include ../config/autoconf.mk

DIRS = content skin locale/en-US

.PHONY: dirs $(DIRS)

all: dirs

dirs: $(DIRS)

$(DIRS):
	$(MAKE) -C $@

clean:
	rm -fr $(DIST)/chrome

=== ipc/modules/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.


DEPTH		= ../..

include $(DEPTH)/config/autoconf.mk

GENDIR = $(DIST)/chrome/content/modules

MODFILES =  \
	subprocess.jsm \
	enigmailprocess_common.jsm \
	enigmailprocess_main.jsm \
	enigmailprocess_unix.jsm \
	enigmailprocess_win.jsm

WORKERS = \
	enigmailprocess_shared.js \
	enigmailprocess_shared_unix.js \
	enigmailprocess_shared_win.js \
	enigmailprocess_worker_common.js \
	enigmailprocess_worker_unix.js \
	enigmailprocess_worker_win.js

GENFILES = $(addprefix $(GENDIR)/,$(MODFILES))

$(GENDIR)/%.jsm: %.jsm
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@

$(GENDIR)/%.js: %.js
	$(DEPTH)/util/prepPostbox $(TARGET_TOOL) $< $@


all: $(GENFILES) deploy

deploy:
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/modules $(WORKERS)


clean: $(MODFILES)
	$(DEPTH)/util/install -u $(DIST)/chrome/content/modules $^

=== package/cryptoAPI/Makefile ===
--- 
+++ 
@@ -11,10 +11,10 @@
 
 MODFILES = \
 	gnupg.js \
-	gnupg-decryption.jsm \
+	gnupg-agent.jsm \
+	gnupg-core.jsm \
 	gnupg-keylist.jsm \
 	gnupg-key.jsm \
-	openpgp-js.js \
 	interface.js
 
 GENFILES = $(addprefix $(GENDIR)/,$(MODFILES))

=== ui/content/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

GENDIR = $(DIST)/chrome/content/ui

UIFILES = \
	aboutEnigmail.html \
	aboutEnigmail.js \
	enigmailMessengerOverlay.xhtml \
	enigmailMessengerOverlay.js \
	enigmailKeySelection.xhtml \
	enigmailKeySelection.js \
	enigmailMsgBox.js \
	enigmailMsgBox.xhtml \
	setupWizard2.js \
	setupWizard2.xhtml \
	upgradeInfo.html \
	upgradeInfo.js

GENFILES = $(addprefix $(GENDIR)/,$(UIFILES))

$(GENDIR)/%.js: %.js
	$(DEPTH)/util/prepPostbox -c $(TARGET_TOOL) $< $@

$(GENDIR)/%.xul: %.xul
	$(PERL) $(DEPTH)/util/plpp.pl -i $(INCLUDE) -o $@ $<

$(GENDIR)/%.xhtml: %.xhtml
	$(PERL) $(DEPTH)/util/plpp.pl -i $(INCLUDE) -o $@ $<

$(GENDIR)/%.htm: %.htm
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $<

$(GENDIR)/%.html: %.html
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $<

all: build

build: $(GENFILES)
	
clean:
	$(DEPTH)/util/install -u $(DIST)/chrome/content/ui $(UIFILES)

=== ui/skin/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../..

include $(DEPTH)/config/autoconf.mk

UIFILES = \
	images/check0.png \
	images/check1.png \
	images/check2.png

SKIN = \
	common/enigmail.css \
	common/enigmail-common.css \
	common/enigmail-html.css \
	images/enigmail-logo.png \
	images/ok-sign.svg \
	images/spinning-wheel.png


all: deploy

deploy: $(UIFILES) $(SKIN) 
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/ui $(UIFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/content/skin $(SKIN)

=== ui/locale/en-US/Makefile ===
# This Source Code Form is subject to the terms of the Mozilla Public
# License, v. 2.0. If a copy of the MPL was not distributed with this
# file, You can obtain one at https://mozilla.org/MPL/2.0/.

DEPTH  = ../../..

include $(DEPTH)/config/autoconf.mk

LOCALEFILES = \
	enigmail.dtd \
	enigmail.properties

all: deploy

deploy: $(LOCALEFILES)
	$(DEPTH)/util/install -m 644 $(DIST)/chrome/locale/en-US $(LOCALEFILES)

=== debian/changelog ===
enigmail (2:2.2.4-0ubuntu0.18.04.1) bionic; urgency=medium

  * new upstream release for Thunderbird 78 (LP: #1895643)
  * drop a number of obsolete patches
  * remove obsolete autopkgtests
  * depend on thunderbird >= 78.0

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 12 Mar 2021 16:27:25 +0100

enigmail (2:2.1.6+ds1-1~ubuntu0.18.04.1) bionic; urgency=medium

  * Backport to bionic
    - relax build dependency on debhelper
    - relax runtime dependency on gnupg
  * Specify utf8 encoding in util/checkFiles.py
    - add debian/patches/specify-encoding-in-check-files.patch

 -- Chris Coulson <chris.coulson@canonical.com>  Tue, 21 Apr 2020 15:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -21,9 +21,9 @@
 Package: enigmail
 Architecture: all
 Depends:
- gnupg2 (>= 2.0.14),
+ gnupg (>= 2.2.4),
  gnupg-agent,
- thunderbird (>= 1:68.0) | icedove (>= 1:68.0),
+ thunderbird (>= 1:78.0) | icedove (>= 1:78.0),
  ${misc:Depends},
 Recommends:
  pinentry-x11,
@@ -35,8 +35,8 @@
  icedove,
  thunderbird,
 Breaks:
- icedove (<< 1:68.0),
- thunderbird (<< 1:68.0),
+ icedove (<< 1:78.0),
+ thunderbird (<< 1:78.0),
 Description: GPG support for Thunderbird and Debian Icedove
  OpenPGP extension for Thunderbird. Enigmail allows users to access the
  features provided by the popular GnuPG software from within Thunderbird.

=== debian/rules ===
--- 
+++ 
@@ -12,11 +12,6 @@
 	ln -sf /usr/share/misc/config.guess /usr/share/misc/config.sub ./
 	dh_auto_configure -- --with-tb-path=/usr/bin/thunderbird --with-tb-args='--headless --profile $(shell pwd)/test-profile'
 
-override_dh_auto_test:
-ifeq (,$(filter nocheck,$(DEB_BUILD_OPTIONS)))
-	debian/run-tests
-endif
-
 override_dh_auto_clean:
 	# if config/autoconf.mk is not present, create stub of it, such that make distclean works
 	if [ ! -f config/autoconf.mk ]; then \

## enigmail 2.2.4-0ubuntu0.18.04.1+9.0trisquel2

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	static_analysis/eslint ipc
 	static_analysis/eslint ui
 
-test: eslint check
+test: check
 
 clean:
 	rm -f build/$(XPIFILE) .eslintcache

=== ui/content/Makefile ===
--- 
+++ 
@@ -25,9 +25,11 @@
 GENFILES = $(addprefix $(GENDIR)/,$(UIFILES))
 
 $(GENDIR)/%.js: %.js
+	mkdir -p $(GENDIR)
 	$(DEPTH)/util/prepPostbox -c $(TARGET_TOOL) $< $@
 
 $(GENDIR)/%.xul: %.xul
+	mkdir -p $(GENDIR)
 	$(PERL) $(DEPTH)/util/plpp.pl -i $(INCLUDE) -o $@ $<
 
 $(GENDIR)/%.xhtml: %.xhtml

=== debian/changelog ===
enigmail (2:2.2.4-0ubuntu0.18.04.1+9.0trisquel2) etiona; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Wed, 02 Jun 2021 00:36:07 +0000

=== debian/control ===
--- 
+++ 
@@ -23,23 +23,23 @@
 Depends:
  gnupg (>= 2.2.4),
  gnupg-agent,
- thunderbird (>= 1:78.0) | icedove (>= 1:78.0),
+ icedove (>= 1:78.0) | icedove (>= 1:78.0),
  ${misc:Depends},
 Recommends:
  pinentry-x11,
 Provides:
  icedove-enigmail,
- thunderbird-enigmail,
+ icedove-enigmail,
  xul-ext-enigmail,
 Enhances:
  icedove,
- thunderbird,
+ icedove,
 Breaks:
  icedove (<< 1:78.0),
- thunderbird (<< 1:78.0),
-Description: GPG support for Thunderbird and Debian Icedove
- OpenPGP extension for Thunderbird. Enigmail allows users to access the
- features provided by the popular GnuPG software from within Thunderbird.
+ icedove (<< 1:78.0),
+Description: GPG support for Icedove
+ OpenPGP extension for Icedove. Enigmail allows users to access the
+ features provided by the popular GnuPG software from within Icedove.
  .
  Enigmail is capable of signing, authenticating, encrypting and decrypting
  email. Additionally, it supports both the inline PGP format, as well as the

## enigmail 2.2.4-0ubuntu0.20.04.1+10.0trisquel2

=== debian/changelog ===
enigmail (2:2.2.4-0ubuntu0.20.04.1+10.0trisquel2) nabia; urgency=medium

  * Imported into Trisquel

 -- Trisquel GNU/Linux developers <trisquel-devel@listas.trisquel.info>  Fri, 30 Jul 2021 23:58:00 +0000

enigmail (2:2.2.4-0ubuntu0.20.04.1) focal; urgency=medium

  * new upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Wed, 07 Oct 2020 22:26:50 +0200

enigmail (2:2.2.2-0ubuntu1) groovy; urgency=medium

  * new upstream release

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Sun, 30 Aug 2020 20:18:50 +0200

enigmail (2:2.2.1-0ubuntu1) groovy; urgency=medium

  * new upstream release
  * drop two upstream patches that are part of the release
    - d/p/upstream-62407f7732da8a6761277a51f8afb7d8e864169c.patch
    - d/p/upstream-c159ba95860590d1da923c67c86cfb68277ec766.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Mon, 24 Aug 2020 16:46:49 +0200

enigmail (2:2.2-0ubuntu1) groovy; urgency=medium

  * new upstream release for Thunderbird 78 (LP: #1888157)
  * drop a number of obsolete patches
  * build-depend on eslint and node-text-table to have tests run at build time,
    and add a patch to fix problems raised by it
    - d/p/0013-fix-eslint-errors.patch
  * remove obsolete autopkgtests
  * depend on thunderbird >= 78.0
  * cherry-pick two unreleased upstream commits
    - d/p/upstream-62407f7732da8a6761277a51f8afb7d8e864169c.patch
    - d/p/upstream-c159ba95860590d1da923c67c86cfb68277ec766.patch

 -- Olivier Tilloy <olivier.tilloy@canonical.com>  Fri, 07 Aug 2020 08:09:11 +0200

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,9 @@
  Willi Mann <willi@debian.org>,
  Daniel Kahn Gillmor <dkg@fifthhorseman.net>,
 Build-Depends:
- debhelper,
+ debhelper-compat (= 12),
+ eslint,
+ node-text-table,
  perl,
  python3,
  unzip,
@@ -21,7 +23,7 @@
 Package: enigmail
 Architecture: all
 Depends:
- gnupg (>= 2.2.4),
+ gnupg (>= 2.2.8-2~),
  gnupg-agent,
  icedove (>= 1:78.0) | icedove (>= 1:78.0),
  ${misc:Depends},
